org.apache.hadoop.mapreduce.lib.db

## Class FloatSplitter

- java.lang.Object
- - org.apache.hadoop.mapreduce.lib.db.FloatSplitter

- All Implemented Interfaces:
    DBSplitter

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class FloatSplitter
      extends Object
      implements DBSplitter

  Implement DBSplitter over floating-point values.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloatSplitter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<InputSplit>` | `split(Configuration conf, ResultSet results, String colName)` Given a ResultSet containing one record (and already advanced to that record) with two columns (a low value, and a high value, both of the same type), determine a set of splits that span the given values.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FloatSplitter

          public FloatSplitter()

  - ### Method Detail

    - #### split

          public List<InputSplit> split(Configuration conf,
                                        ResultSet results,
                                        String colName)
                                 throws SQLException

      Description copied from interface: `DBSplitter`
      Given a ResultSet containing one record (and already advanced to that record) with two columns (a low value, and a high value, both of the same type), determine a set of splits that span the given values.
      Specified by:
        `split` in interface `DBSplitter`
      Throws:
        `SQLException`

Copyright © 2022 Apache Software Foundation. All rights reserved.